package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class WmAccExample {
    /**
     * wm_acc
     */
    protected String orderByClause;

    /**
     * wm_acc
     */
    protected boolean distinct;

    /**
     * wm_acc
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public WmAccExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-04-23 15:41:35
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andWmIdIsNull() {
            addCriterion("WM_ID is null");
            return (Criteria) this;
        }

        public Criteria andWmIdIsNotNull() {
            addCriterion("WM_ID is not null");
            return (Criteria) this;
        }

        public Criteria andWmIdEqualTo(String value) {
            addCriterion("WM_ID =", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotEqualTo(String value) {
            addCriterion("WM_ID <>", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdGreaterThan(String value) {
            addCriterion("WM_ID >", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdGreaterThanOrEqualTo(String value) {
            addCriterion("WM_ID >=", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLessThan(String value) {
            addCriterion("WM_ID <", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLessThanOrEqualTo(String value) {
            addCriterion("WM_ID <=", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLike(String value) {
            addCriterion("WM_ID like", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotLike(String value) {
            addCriterion("WM_ID not like", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdIn(List<String> values) {
            addCriterion("WM_ID in", values, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotIn(List<String> values) {
            addCriterion("WM_ID not in", values, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdBetween(String value1, String value2) {
            addCriterion("WM_ID between", value1, value2, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotBetween(String value1, String value2) {
            addCriterion("WM_ID not between", value1, value2, "wmId");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andWmIndexIsNull() {
            addCriterion("WM_INDEX is null");
            return (Criteria) this;
        }

        public Criteria andWmIndexIsNotNull() {
            addCriterion("WM_INDEX is not null");
            return (Criteria) this;
        }

        public Criteria andWmIndexEqualTo(Integer value) {
            addCriterion("WM_INDEX =", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexNotEqualTo(Integer value) {
            addCriterion("WM_INDEX <>", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexGreaterThan(Integer value) {
            addCriterion("WM_INDEX >", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexGreaterThanOrEqualTo(Integer value) {
            addCriterion("WM_INDEX >=", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexLessThan(Integer value) {
            addCriterion("WM_INDEX <", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexLessThanOrEqualTo(Integer value) {
            addCriterion("WM_INDEX <=", value, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexIn(List<Integer> values) {
            addCriterion("WM_INDEX in", values, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexNotIn(List<Integer> values) {
            addCriterion("WM_INDEX not in", values, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexBetween(Integer value1, Integer value2) {
            addCriterion("WM_INDEX between", value1, value2, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andWmIndexNotBetween(Integer value1, Integer value2) {
            addCriterion("WM_INDEX not between", value1, value2, "wmIndex");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagIsNull() {
            addCriterion("INIT_VOL_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagIsNotNull() {
            addCriterion("INIT_VOL_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagEqualTo(String value) {
            addCriterion("INIT_VOL_FLAG =", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagNotEqualTo(String value) {
            addCriterion("INIT_VOL_FLAG <>", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagGreaterThan(String value) {
            addCriterion("INIT_VOL_FLAG >", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagGreaterThanOrEqualTo(String value) {
            addCriterion("INIT_VOL_FLAG >=", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagLessThan(String value) {
            addCriterion("INIT_VOL_FLAG <", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagLessThanOrEqualTo(String value) {
            addCriterion("INIT_VOL_FLAG <=", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagLike(String value) {
            addCriterion("INIT_VOL_FLAG like", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagNotLike(String value) {
            addCriterion("INIT_VOL_FLAG not like", value, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagIn(List<String> values) {
            addCriterion("INIT_VOL_FLAG in", values, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagNotIn(List<String> values) {
            addCriterion("INIT_VOL_FLAG not in", values, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagBetween(String value1, String value2) {
            addCriterion("INIT_VOL_FLAG between", value1, value2, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagNotBetween(String value1, String value2) {
            addCriterion("INIT_VOL_FLAG not between", value1, value2, "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andInitVolIsNull() {
            addCriterion("INIT_VOL is null");
            return (Criteria) this;
        }

        public Criteria andInitVolIsNotNull() {
            addCriterion("INIT_VOL is not null");
            return (Criteria) this;
        }

        public Criteria andInitVolEqualTo(Integer value) {
            addCriterion("INIT_VOL =", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolNotEqualTo(Integer value) {
            addCriterion("INIT_VOL <>", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolGreaterThan(Integer value) {
            addCriterion("INIT_VOL >", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolGreaterThanOrEqualTo(Integer value) {
            addCriterion("INIT_VOL >=", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolLessThan(Integer value) {
            addCriterion("INIT_VOL <", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolLessThanOrEqualTo(Integer value) {
            addCriterion("INIT_VOL <=", value, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolIn(List<Integer> values) {
            addCriterion("INIT_VOL in", values, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolNotIn(List<Integer> values) {
            addCriterion("INIT_VOL not in", values, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolBetween(Integer value1, Integer value2) {
            addCriterion("INIT_VOL between", value1, value2, "initVol");
            return (Criteria) this;
        }

        public Criteria andInitVolNotBetween(Integer value1, Integer value2) {
            addCriterion("INIT_VOL not between", value1, value2, "initVol");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNull() {
            addCriterion("DN_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDnTypeIsNotNull() {
            addCriterion("DN_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDnTypeEqualTo(Integer value) {
            addCriterion("DN_TYPE =", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotEqualTo(Integer value) {
            addCriterion("DN_TYPE <>", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThan(Integer value) {
            addCriterion("DN_TYPE >", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE >=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThan(Integer value) {
            addCriterion("DN_TYPE <", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeLessThanOrEqualTo(Integer value) {
            addCriterion("DN_TYPE <=", value, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeIn(List<Integer> values) {
            addCriterion("DN_TYPE in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotIn(List<Integer> values) {
            addCriterion("DN_TYPE not in", values, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andDnTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("DN_TYPE not between", value1, value2, "dnType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNull() {
            addCriterion("UNIT_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNotNull() {
            addCriterion("UNIT_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeEqualTo(String value) {
            addCriterion("UNIT_TYPE =", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotEqualTo(String value) {
            addCriterion("UNIT_TYPE <>", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThan(String value) {
            addCriterion("UNIT_TYPE >", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_TYPE >=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThan(String value) {
            addCriterion("UNIT_TYPE <", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_TYPE <=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLike(String value) {
            addCriterion("UNIT_TYPE like", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotLike(String value) {
            addCriterion("UNIT_TYPE not like", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIn(List<String> values) {
            addCriterion("UNIT_TYPE in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotIn(List<String> values) {
            addCriterion("UNIT_TYPE not in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeBetween(String value1, String value2) {
            addCriterion("UNIT_TYPE between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotBetween(String value1, String value2) {
            addCriterion("UNIT_TYPE not between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNull() {
            addCriterion("DIGIT_NUM is null");
            return (Criteria) this;
        }

        public Criteria andDigitNumIsNotNull() {
            addCriterion("DIGIT_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andDigitNumEqualTo(Integer value) {
            addCriterion("DIGIT_NUM =", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <>", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThan(Integer value) {
            addCriterion("DIGIT_NUM >", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM >=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThan(Integer value) {
            addCriterion("DIGIT_NUM <", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumLessThanOrEqualTo(Integer value) {
            addCriterion("DIGIT_NUM <=", value, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumIn(List<Integer> values) {
            addCriterion("DIGIT_NUM in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotIn(List<Integer> values) {
            addCriterion("DIGIT_NUM not in", values, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andDigitNumNotBetween(Integer value1, Integer value2) {
            addCriterion("DIGIT_NUM not between", value1, value2, "digitNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumIsNull() {
            addCriterion("WHELL_NUM is null");
            return (Criteria) this;
        }

        public Criteria andWhellNumIsNotNull() {
            addCriterion("WHELL_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andWhellNumEqualTo(Integer value) {
            addCriterion("WHELL_NUM =", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumNotEqualTo(Integer value) {
            addCriterion("WHELL_NUM <>", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumGreaterThan(Integer value) {
            addCriterion("WHELL_NUM >", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("WHELL_NUM >=", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumLessThan(Integer value) {
            addCriterion("WHELL_NUM <", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumLessThanOrEqualTo(Integer value) {
            addCriterion("WHELL_NUM <=", value, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumIn(List<Integer> values) {
            addCriterion("WHELL_NUM in", values, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumNotIn(List<Integer> values) {
            addCriterion("WHELL_NUM not in", values, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumBetween(Integer value1, Integer value2) {
            addCriterion("WHELL_NUM between", value1, value2, "whellNum");
            return (Criteria) this;
        }

        public Criteria andWhellNumNotBetween(Integer value1, Integer value2) {
            addCriterion("WHELL_NUM not between", value1, value2, "whellNum");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andExpDateIsNull() {
            addCriterion("EXP_DATE is null");
            return (Criteria) this;
        }

        public Criteria andExpDateIsNotNull() {
            addCriterion("EXP_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andExpDateEqualTo(Date value) {
            addCriterion("EXP_DATE =", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateNotEqualTo(Date value) {
            addCriterion("EXP_DATE <>", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateGreaterThan(Date value) {
            addCriterion("EXP_DATE >", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateGreaterThanOrEqualTo(Date value) {
            addCriterion("EXP_DATE >=", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateLessThan(Date value) {
            addCriterion("EXP_DATE <", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateLessThanOrEqualTo(Date value) {
            addCriterion("EXP_DATE <=", value, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateIn(List<Date> values) {
            addCriterion("EXP_DATE in", values, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateNotIn(List<Date> values) {
            addCriterion("EXP_DATE not in", values, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateBetween(Date value1, Date value2) {
            addCriterion("EXP_DATE between", value1, value2, "expDate");
            return (Criteria) this;
        }

        public Criteria andExpDateNotBetween(Date value1, Date value2) {
            addCriterion("EXP_DATE not between", value1, value2, "expDate");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(String value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(String value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(String value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(String value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(String value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLike(String value) {
            addCriterion("USE_FLAG like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotLike(String value) {
            addCriterion("USE_FLAG not like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<String> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<String> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(String value1, String value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(String value1, String value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andWmIdLikeInsensitive(String value) {
            addCriterion("upper(WM_ID) like", value.toUpperCase(), "wmId");
            return (Criteria) this;
        }

        public Criteria andStationCodeLikeInsensitive(String value) {
            addCriterion("upper(STATION_CODE) like", value.toUpperCase(), "stationCode");
            return (Criteria) this;
        }

        public Criteria andInitVolFlagLikeInsensitive(String value) {
            addCriterion("upper(INIT_VOL_FLAG) like", value.toUpperCase(), "initVolFlag");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLikeInsensitive(String value) {
            addCriterion("upper(UNIT_TYPE) like", value.toUpperCase(), "unitType");
            return (Criteria) this;
        }

        public Criteria andUseFlagLikeInsensitive(String value) {
            addCriterion("upper(USE_FLAG) like", value.toUpperCase(), "useFlag");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-04-23 15:41:35
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-04-23 15:41:35
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}